# The "md" Package

These routines are meant to provide message digests (secure hash functions) These have application in message authentication/verification.

Library: karma
Link With: -lkarma

#### Functions

md_md5_init | Initialise MD5 context.
md_md5_update | Add data to an MD5 context.
md_md5_final | Close an MD5 context.
md_md5_transform | Run the core MD5 transform over a block of data.

## Functions

MD5Context md_md5_init ()

Initialise MD5 context.

Parameters:

This function takes no parameters

Returns: An MD5 context.
Multithreading Level: Unsafe

void md_md5_update (MD5Context ctx, CONST unsigned char *buf, unsigned int len)

Add data to an MD5 context.

Parameters:

- ctx : The MD5 context.
- buf : The block of bytes to add.
- len : The length of the block.

Returns: Nothing.
Multithreading Level: Unsafe

void md_md5_final (MD5Context ctx, unsigned char digest[16])

Close an MD5 context.

Parameters:

- ctx : The MD5 context.
- digest : The message digest is written here.

Returns: Nothing.
Multithreading Level: Unsafe

void md_md5_transform (unsigned char buf[16], CONST unsigned char in[64])

Run the core MD5 transform over a block of data.

Parameters:

- buf : The digest accumulation buffer.
- in : The block of data.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page